: Class httpdSecurityManager

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.http
Class httpdSecurityManager

    java.lang.Object
      |
      +--java.lang.SecurityManager
            |
            +--org.w3c.jigsaw.http.httpdSecurityManager

public class httpdSecurityManager
extends java.lang.SecurityManager

The jhttpd security manager. You really need this if you plan to accept agent execution on your server. Although, in next versions, the security manager may be used to limit your server users in what entities they can export.

Add the -s command line argument to jhttpd invocation to set the security manager to an instance of this class.

Field Summary
`static java.lang.String` | `SM_AGENT_ACCEPT_P` Name of the property indicating if agents are allowed to accept().
`static java.lang.String` | `SM_AGENT_WRITE_P` Name of the property indicating if agents are allowed to write().
`static java.lang.String` | `SM_DEBUG_P` Name of the property indicating if security maneger is debuged.

Fields inherited from class java.lang.SecurityManager
`inCheck`

Constructor Summary
`httpdSecurityManager()`

Method Summary
`void` | `checkAccept(java.lang.String host, int port)`
`void` | `checkAccess(java.lang.Thread thr)`
`void` | `checkCreateClassLoader()`
`void` | `checkListen(int port)`
`void` | `checkPropertiesAccess()`
`void` | `checkRead(int fd)`
`void` | `checkRead(java.lang.String file)`
`void` | `checkWrite(int fd)`
`void` | `checkWrite(java.lang.String file)`
`protected boolean` | `inAgent()`
`protected void` | `trace(java.lang.String msg)`

Methods inherited from class java.lang.SecurityManager
`checkAccess, checkAwtEventQueueAccess, checkConnect, checkConnect, checkDelete, checkExec, checkExit, checkLink, checkMemberAccess, checkMulticast, checkMulticast, checkPackageAccess, checkPackageDefinition, checkPermission, checkPermission, checkPrintJobAccess, checkPropertyAccess, checkRead, checkRead, checkSecurityAccess, checkSetFactory, checkSystemClipboardAccess, checkTopLevelWindow, checkWrite, classDepth, classLoaderDepth, currentClassLoader, currentLoadedClass, getClassContext, getInCheck, getSecurityContext, getThreadGroup, inClass, inClassLoader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SM_AGENT_ACCEPT_P

    public static final java.lang.String SM_AGENT_ACCEPT_P

  Name of the property indicating if agents are allowed to accept(). When true, this property indicates that agents are allowed to use the accept method of ServerSockets.

  This property defaults to false.

### SM_AGENT_WRITE_P

    public static final java.lang.String SM_AGENT_WRITE_P

  Name of the property indicating if agents are allowed to write(). When true, this property indicates that agents are allowed to use the write method of output streams.

  This property defaults to false.

### SM_DEBUG_P

    public static final java.lang.String SM_DEBUG_P

  Name of the property indicating if security maneger is debuged. When true this property makes the security manager emits debugging traces.

  This property defaults to false.

Constructor Detail

### httpdSecurityManager

    public httpdSecurityManager()

Method Detail

### inAgent

    protected final boolean inAgent()

### trace

    protected void trace(java.lang.String msg)

### checkAccept

    public void checkAccept(java.lang.String host,
                            int port)

  Overrides:
    checkAccept in class java.lang.SecurityManager

### checkAccess

    public void checkAccess(java.lang.Thread thr)

  Overrides:
    checkAccess in class java.lang.SecurityManager

### checkCreateClassLoader

    public void checkCreateClassLoader()

  Overrides:
    checkCreateClassLoader in class java.lang.SecurityManager

### checkListen

    public void checkListen(int port)

  Overrides:
    checkListen in class java.lang.SecurityManager

### checkPropertiesAccess

    public void checkPropertiesAccess()

  Overrides:
    checkPropertiesAccess in class java.lang.SecurityManager

### checkRead

    public void checkRead(java.lang.String file)

  Overrides:
    checkRead in class java.lang.SecurityManager

### checkRead

    public void checkRead(int fd)

### checkWrite

    public void checkWrite(int fd)

### checkWrite

    public void checkWrite(java.lang.String file)

  Overrides:
    checkWrite in class java.lang.SecurityManager

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD